import { ViewBase } from '../../libappbase/viewbase';
import { AppMP } from '../appmp';
import { FormScenarioAnalysisStockingPointCapacity } from '../forms/form.scenarioanalysisstockingpointcapacity';

/**
 * Scenario Analysis > Stock Capacity view
 */
export class ViewStockCapacity extends ViewBase {
  public readonly name = 'Stocking point capacity';
  public readonly viewPath = 'Scenario Analysis > Stock Capacity';

  public frmScenarioAnalysisStockingPointCapacity = new FormScenarioAnalysisStockingPointCapacity();

  public async switchTo(): Promise<void> {
    const appMP = AppMP.getInstance();

    await appMP.abpScenarioAnalysis.click();
    await appMP.abpScenarioAnalysis.btnStockCapacity.click();
    await this.frmScenarioAnalysisStockingPointCapacity.waitUntilPresent();
  }
}
